@font-face {
  font-family: "iconfont"; /* Project id 4441103 */
  src: url('//at.alicdn.com/t/c/font_4441103_w3m49mocot.woff2?t=1786273537156') format('woff2'),
       url('//at.alicdn.com/t/c/font_4441103_w3m49mocot.woff?t=1786273537156') format('woff'),
       url('//at.alicdn.com/t/c/font_4441103_w3m49mocot.ttf?t=1786273537156') format('truetype'),
       url('//at.alicdn.com/t/c/font_4441103_w3m49mocot.svg?t=1786273537156#iconfont') format('svg');
}

.iconfont {
  font-family: "iconfont" !important;
  font-size: 16px;
  font-style: normal;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.joe-icon-res:before {
  content: "\e60c";
}

.joe-icon-practice:before {
  content: "\e603";
}

.joe-icon-media:before {
  content: "\e747";
}

.joe-icon-essay:before {
  content: "\e644";
}

.joe-icon-life:before {
  content: "\e601";
}

.joe-icon-tech:before {
  content: "\e652";
}

.joe-icon-shuoshuochuangzuo:before {
  content: "\e62e";
}

.joe-icon-youlianguanli:before {
  content: "\e646";
}

.joe-icon-algorithm:before {
  content: "\e709";
}

.joe-icon-jiqixuexi:before {
  content: "\e610";
}

.joe-icon-jiqixuexi1:before {
  content: "\e63a";
}

.joe-icon-pachong:before {
  content: "\e600";
}

.joe-icon-javascript:before {
  content: "\e636";
}

.joe-icon-JavaScript:before {
  content: "\e704";
}

.joe-icon-_qianduankaifa:before {
  content: "\e611";
}

.joe-icon-yunpachong:before {
  content: "\e840";
}

.joe-icon-python:before {
  content: "\e690";
}

.joe-icon-rust:before {
  content: "\e68f";
}

.joe-icon-python1:before {
  content: "\ec66";
}

.joe-icon-rust1:before {
  content: "\ec88";
}

.joe-icon-8_3qianduankaifa:before {
  content: "\e7ee";
}

.joe-icon-automation:before {
  content: "\e625";
}

.joe-icon-shujufenxi:before {
  content: "\e612";
}

.joe-icon-automation1:before {
  content: "\e664";
}

.joe-icon-pinglun:before {
  content: "\e6ad";
}

.joe-icon-gonggao:before {
  content: "\e678";
}

.joe-icon-fenlei:before {
  content: "\e630";
}

.joe-icon-shoucang:before {
  content: "\e639";
}

.joe-icon-guanyu:before {
  content: "\e633";
}

.joe-icon-biaoqian:before {
  content: "\e87d";
}

.joe-icon-daohang:before {
  content: "\e632";
}

.joe-icon-tukuguanli:before {
  content: "\e6e9";
}

.joe-icon-shouye:before {
  content: "\e8ba";
}

